curl --request POST \
--url https://api.comfy.org/proxy/freepik/v1/ai/image-upscaler-precision-v2 \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"image": "https://img.magnific.com/free-photo/light-through-mountains_395237-33.jpg?semt=ais_hybrid&w=740&q=80",
"scale_factor": 8
}
'import requests
url = "https://api.comfy.org/proxy/freepik/v1/ai/image-upscaler-precision-v2"
payload = {
"image": "https://img.magnific.com/free-photo/light-through-mountains_395237-33.jpg?semt=ais_hybrid&w=740&q=80",
"scale_factor": 8
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
image: 'https://img.magnific.com/free-photo/light-through-mountains_395237-33.jpg?semt=ais_hybrid&w=740&q=80',
scale_factor: 8
})
};
fetch('https://api.comfy.org/proxy/freepik/v1/ai/image-upscaler-precision-v2', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.comfy.org/proxy/freepik/v1/ai/image-upscaler-precision-v2",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'image' => 'https://img.magnific.com/free-photo/light-through-mountains_395237-33.jpg?semt=ais_hybrid&w=740&q=80',
'scale_factor' => 8
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.comfy.org/proxy/freepik/v1/ai/image-upscaler-precision-v2"
payload := strings.NewReader("{\n \"image\": \"https://img.magnific.com/free-photo/light-through-mountains_395237-33.jpg?semt=ais_hybrid&w=740&q=80\",\n \"scale_factor\": 8\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.comfy.org/proxy/freepik/v1/ai/image-upscaler-precision-v2")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"image\": \"https://img.magnific.com/free-photo/light-through-mountains_395237-33.jpg?semt=ais_hybrid&w=740&q=80\",\n \"scale_factor\": 8\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.comfy.org/proxy/freepik/v1/ai/image-upscaler-precision-v2")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"image\": \"https://img.magnific.com/free-photo/light-through-mountains_395237-33.jpg?semt=ais_hybrid&w=740&q=80\",\n \"scale_factor\": 8\n}"
response = http.request(request)
puts response.read_body{
"data": {
"generated": [
"<string>"
],
"status": "CREATED",
"task_id": "046b6c7f-0b8a-43b9-b35d-6489e6daee91"
}
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}Upscale an image with Precision V2
Upscales an image while adding new visual elements or details (V2). This endpoint may modify the original image content based on the prompt and inferred context. Upon submission, it returns a unique task_id which can be used to track the progress.
curl --request POST \
--url https://api.comfy.org/proxy/freepik/v1/ai/image-upscaler-precision-v2 \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"image": "https://img.magnific.com/free-photo/light-through-mountains_395237-33.jpg?semt=ais_hybrid&w=740&q=80",
"scale_factor": 8
}
'import requests
url = "https://api.comfy.org/proxy/freepik/v1/ai/image-upscaler-precision-v2"
payload = {
"image": "https://img.magnific.com/free-photo/light-through-mountains_395237-33.jpg?semt=ais_hybrid&w=740&q=80",
"scale_factor": 8
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
image: 'https://img.magnific.com/free-photo/light-through-mountains_395237-33.jpg?semt=ais_hybrid&w=740&q=80',
scale_factor: 8
})
};
fetch('https://api.comfy.org/proxy/freepik/v1/ai/image-upscaler-precision-v2', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.comfy.org/proxy/freepik/v1/ai/image-upscaler-precision-v2",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'image' => 'https://img.magnific.com/free-photo/light-through-mountains_395237-33.jpg?semt=ais_hybrid&w=740&q=80',
'scale_factor' => 8
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.comfy.org/proxy/freepik/v1/ai/image-upscaler-precision-v2"
payload := strings.NewReader("{\n \"image\": \"https://img.magnific.com/free-photo/light-through-mountains_395237-33.jpg?semt=ais_hybrid&w=740&q=80\",\n \"scale_factor\": 8\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.comfy.org/proxy/freepik/v1/ai/image-upscaler-precision-v2")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"image\": \"https://img.magnific.com/free-photo/light-through-mountains_395237-33.jpg?semt=ais_hybrid&w=740&q=80\",\n \"scale_factor\": 8\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.comfy.org/proxy/freepik/v1/ai/image-upscaler-precision-v2")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"image\": \"https://img.magnific.com/free-photo/light-through-mountains_395237-33.jpg?semt=ais_hybrid&w=740&q=80\",\n \"scale_factor\": 8\n}"
response = http.request(request)
puts response.read_body{
"data": {
"generated": [
"<string>"
],
"status": "CREATED",
"task_id": "046b6c7f-0b8a-43b9-b35d-6489e6daee91"
}
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}Autorizaciones
Bearer token authentication. Normally a Firebase or Cloud JWT. A 'comfyui-' prefixed API key is also accepted in this header: the prefix classifies the value as an API key and it is validated exactly as if it had been sent in X-API-Key. Accepted on the operations served by the comfyFirebase auth middleware (BE-9720, parity with ingest).
Cuerpo
Source image to upscale. Accepts either:
- A publicly accessible HTTPS URL pointing to the image
- A base64-encoded image string
Image processing flavor:
- sublime: Optimized for artistic and illustrated images
- photo: Optimized for photographic images
- photo_denoiser: Specialized for photos with noise reduction
sublime, photo, photo_denoiser Image scaling factor. Determines how much larger the output will be compared to input.
2 <= x <= 16Image sharpness intensity control. Higher values increase edge definition and clarity.
0 <= x <= 100Intelligent grain/texture enhancement. Higher values add more fine-grained texture.
0 <= x <= 100Ultra detail enhancement level. Higher values create more intricate details.
0 <= x <= 100Optional callback URL that will receive asynchronous notifications when the upscaling task completes.
Respuesta
OK - The upscaling process has started
Show child attributes
Show child attributes
¿Esta página le ayudó?